@echo off
rem RUN.BAT   : Start eines Programms unter DOS, das normalerweise als
rem             REMOTE-Programm unter SP luft.
rem Aufruf    : run prg-name p1 p2 p3 ... pn
rem
rem Parameter : %1     = REMOTE-Programm, das gestartet werden soll
rem             %2..%9 = Parameter, die an das Programm bergeben werden sollen

rem Variablen fr Call, PRIV-Level und SYSOP-Flag
set MY_CALL=db2di
set PRIVL=9
set SYSFL=0

if not exist %1 if not exist %1.* goto _err_1

rem Variable fr zu bergebende Parameter
set SPR=

if not "%2"=="" set SPR=%SPR% %2
if not "%3"=="" set SPR=%SPR% %3
if not "%4"=="" set SPR=%SPR% %4
if not "%5"=="" set SPR=%SPR% %5
if not "%6"=="" set SPR=%SPR% %6
if not "%7"=="" set SPR=%SPR% %7
if not "%8"=="" set SPR=%SPR% %8
if not "%9"=="" set SPR=%SPR% %9

rem Kontrollausgabe der erzeugten Kommandozeile
echo Kommandozeile: %1%SPR% %PRIVL% %SYSFL% %MYCALL%
%1 %SPR% %PRIVL% %SYSFL% %MYCALL%
goto _exit

:_err_1
echo Fehler: Das Programm %1 kann nicht gefunden werden!

:_exit
rem Variablen lschen, um Environment-Bereich wieder freizugeben
set SPR=
set MY_CALL=
set PRIVL=
set SYSFL=
